core::trust::Store::Query::Errors::QueryIsInErrorState Struct Reference

Thrown if functionality of a query is accessed although the query is in error state. More...

`#include <store.h>`

Inheritance diagram for core::trust::Store::Query::Errors::QueryIsInErrorState:
Collaboration diagram for core::trust::Store::Query::Errors::QueryIsInErrorState:

## Public Member Functions

| QueryIsInErrorState ()

## Detailed Description

Thrown if functionality of a query is accessed although the query is in error state.

Definition at line 98 of file store.h.

## Constructor & Destructor Documentation

core::trust::Store::Query::Errors::QueryIsInErrorState::QueryIsInErrorState | ( |  | ) |

inline

Definition at line 100 of file store.h.

The documentation for this struct was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/store.h